PROC2CSV(1)

NAME
proc2csv - output (most of) /proc/ contents as CSV

SYNOPSIS
proc2csv [-t] [-p]

DESCRIPTION
proc2csv outputs most of the data from /proc/ into standard output as a CSV (comma separate values).

OPTIONS

-t  Read the files from 'proc' directory in the current directory instead of the system /proc/ directory. This can be used for testing the program using the /proc/ files from some other machine.

-p  Ignore all (permission) errors. This allows running the program as normal user, you then just miss the information for processes which only root can access.

SEE ALSO
proc(5), xmeminfo(1)

COPYRIGHT
Copyright (C) 2007 Nokia Corporation.

This is free software. You may redistribute copies of it under the terms of the GNU General Public License v2 included with the software. There is NO WARRANTY, to the extent permitted by law.